`timescale 1ns / 1ps

//******************************************************************************
//* Digitlis technika (VIMIAA03) - 6. labor                                   *
//*                                                                            *
//* 2.b feladat: msodperc szmll.                                           *
//******************************************************************************
module lab06_2b(
   input  wire       clk,
   input  wire       rstbt,
   input  wire [7:0] sw,
   input  wire [3:0] bt,
   output wire [7:0] ld
);

//Az egyes helyirtkhez tartoz szmll.
wire units_tc;

cnt10 units_cnt(
   .clk(clk),        //rajel
   .rst(rstbt),      //Reset jel
   .ld(bt[0]),       //Betlt jel
   .d(sw[3:0]),      //A betltend adat
   .en(bt[1]),       //Engedlyez jel
   .q(ld[3:0]),      //A szmll kimenete
   .tc(...)     //Vgllapot jelzs
);

//A tzes helyirtkhez tartoz szmll.
cnt6 tens_cnt(
   .clk(clk),        //rajel
   .rst(rstbt),      //Reset jel
   .ld(bt[0]),       //Betlt jel
   .d(sw[7:4]),      //A betltend adat
   .en(...),    //Engedlyez jel
   .q(ld[7:4]),      //A szmll kimenete
   .tc()             //Vgllapot jelzs
);

endmodule
